Skip to main content
GET
/
api
/
external
/
v2
/
subscription-contract-details
/
customers
Retrieve customers with subscriptions
curl --request GET \
  --url https://subscription-admin.appstle.com/api/external/v2/subscription-contract-details/customers \
  --header 'X-API-Key: <x-api-key>'
[
  {
    "customerId": 123,
    "name": "<string>",
    "email": "<string>",
    "activeSubscriptions": 123,
    "nextOrderDate": "2023-11-07T05:31:56Z",
    "inActiveSubscriptions": 123,
    "lifetimeValue": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API Key for authentication

Query Parameters

api_key
string

API Key (Deprecated - Use X-API-Key header instead)

name
string

Filter customers by name (partial match supported)

email
string

Filter customers by exact email address

activeMoreThanOneSubscription
boolean
default:false

When true, returns only customers who have more than one active subscription

pageable
object
required

Pagination parameters (page number and size)

Response

Successfully retrieved customer list

customerId
integer<int64>
name
string
email
string
activeSubscriptions
integer<int64>
nextOrderDate
string<date-time>
inActiveSubscriptions
integer<int64>
lifetimeValue
number<double>